/**
 * Created by Usual on 8/23/16.
 */

var lodash = require('lodash');

var getArgs = function() {
    return process.argv.splice(2);
};

var buildObject = function (args) {
    var obj = {};
    lodash.each(args, function (item) {
        var arr = item.split(':');
        var name = arr[0], value = arr[1] || true;
        obj[name] = value;
    });
    return obj;
};

module.exports = buildObject(getArgs());